Package org.gradle.jvm.toolchain

# Class JvmImplementation

java.lang.Object
org.gradle.jvm.toolchain.JvmImplementation

public final class JvmImplementation extends Object
Represents a filter for a implementation of a Java Virtual Machine.

Since:
  6.8

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final JvmImplementation`
  `J9`
  Eclipse OpenJ9 (previously known as IBM J9) virtual machine implementation.
  `static final JvmImplementation`
  `VENDOR_SPECIFIC`
  Vendor-specific virtual machine implementation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### VENDOR_SPECIFIC

    public static final JvmImplementation VENDOR_SPECIFIC
    Vendor-specific virtual machine implementation. Acts as a placeholder and matches any implementation from any vendor. Usually used to override specific implementation requests.

  - ### J9

    public static final JvmImplementation J9
    Eclipse OpenJ9 (previously known as IBM J9) virtual machine implementation. Matches only virtual machine implementations using the OpenJ9/IBM J9 runtime engine.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`